org.apache.commons.math3.analysis.interpolation

## Class TricubicSplineInterpolatingFunction

- java.lang.Object
- - org.apache.commons.math3.analysis.interpolation.TricubicSplineInterpolatingFunction

- All Implemented Interfaces:
    TrivariateFunction

      public class TricubicSplineInterpolatingFunction
      extends Object
      implements TrivariateFunction

  Function that implements the tricubic spline interpolation, as proposed in Tricubic interpolation in three dimensions
  F. Lekien and J. Marsden
  Int. J. Numer. Meth. Engng 2005; 63:455-471
  Since:
    2.2
  Version:
    $Id$

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TricubicSplineInterpolatingFunction(double[] x, double[] y, double[] z, double[][][] f, double[][][] dFdX, double[][][] dFdY, double[][][] dFdZ, double[][][] d2FdXdY, double[][][] d2FdXdZ, double[][][] d2FdYdZ, double[][][] d3FdXdYdZ)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `value(double x, double y, double z)` Compute the value for the function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TricubicSplineInterpolatingFunction

          public TricubicSplineInterpolatingFunction(double[] x,
                                             double[] y,
                                             double[] z,
                                             double[][][] f,
                                             double[][][] dFdX,
                                             double[][][] dFdY,
                                             double[][][] dFdZ,
                                             double[][][] d2FdXdY,
                                             double[][][] d2FdXdZ,
                                             double[][][] d2FdYdZ,
                                             double[][][] d3FdXdYdZ)

      Parameters:
        `x` - Sample values of the x-coordinate, in increasing order.
        `y` - Sample values of the y-coordinate, in increasing order.
        `z` - Sample values of the y-coordinate, in increasing order.
        `f` - Values of the function on every grid point.
        `dFdX` - Values of the partial derivative of function with respect to x on every grid point.
        `dFdY` - Values of the partial derivative of function with respect to y on every grid point.
        `dFdZ` - Values of the partial derivative of function with respect to z on every grid point.
        `d2FdXdY` - Values of the cross partial derivative of function on every grid point.
        `d2FdXdZ` - Values of the cross partial derivative of function on every grid point.
        `d2FdYdZ` - Values of the cross partial derivative of function on every grid point.
        `d3FdXdYdZ` - Values of the cross partial derivative of function on every grid point.
      Throws:
        `NoDataException` - if any of the arrays has zero length.
        `DimensionMismatchException` - if the various arrays do not contain the expected number of elements.
        `IllegalArgumentException` - if `x`, `y` or `z` are not strictly increasing.

  - ### Method Detail

    - #### value

          public double value(double x,
                     double y,
                     double z)

      Compute the value for the function.
      Specified by:
        `value` in interface `TrivariateFunction`
      Parameters:
        `x` - x-coordinate for which the function value should be computed.
        `y` - y-coordinate for which the function value should be computed.
        `z` - z-coordinate for which the function value should be computed.
      Returns:
        the value.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.